declare class GuardianLogger {
    private config;
    constructor(config?: {
        enabled?: boolean;
        level?: 'debug' | 'info' | 'warn' | 'error';
    });
    private log;
    debug(message: string, data?: any): void;
    info(message: string, data?: any): void;
    warn(message: string, data?: any): void;
    error(message: string, data?: any): void;
}
export declare function createLogger(loggerConfig: LoggerConfig): GuardianLogger;
interface Destination {
    type: 'console' | 'file' | 'remote';
    file?: string;
    path?: string;
    maxSize?: string;
    maxFiles?: number;
    endpoint?: URL;
}
export interface LoggerConfig {
    enabled?: boolean;
    level?: 'debug' | 'info' | 'warn' | 'error';
    destination?: Destination[];
}
export {};
